# VecPosLib
[![Forks][forks-shield]][forks-url]
[![Stargazers][stars-shield]][stars-url]
[![Issues][issues-shield]][issues-url]
[![Unlicense License][license-shield]][license-url]
[![App Version][version-shield]][header-id]

## Overview
**Python用のベクトル型と色々を追加するだけの汎用的なライブラリです。**<br/>
***This is a library that enables vector calculations in Python.***<br/>

## Requirement
View to [requirements.txt](https://github.com/shotadft/VectorLib/blob/master/requirements.txt)
### Optional
- CuPy (Version is Any)

## Development Environments
- Cursor (FREE Plan)<br/>
**⚠️当プログラムは一部に生成AIを使用して開発されています⚠️**

## Installations
```bash
pip install vecposlib
```

## Usage
- **`Position`**: 座標管理クラス
- **`Vector`**: 基本ベクトルクラス
    - **`Vec2` `Vec3` `Vec4`**: n次元特化クラス
        - Positionオブジェクトまたは数値で初期化可能。

## Features
- 型安全な2次元・3次元・4次元ベクトルクラス（Vec2, Vec3, Vec4）
- 座標管理が楽
- 安全なベクトル操作
- 距離・ノルム・正規化・内積・外積・射影・反射などの基本演算をサポート
- シンプルで直感的なAPI

## Author Links
- [Twitter](https://x.com/shotadft)
- [My HP](https://www.shotadft.com/)

<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[forks-shield]: https://img.shields.io/github/forks/shotadft/VectorLib.svg?style=for-the-badge
[forks-url]: https://github.com/shotadft/VectorLib/network/members
[stars-shield]: https://img.shields.io/github/stars/shotadft/VectorLib.svg?style=for-the-badge
[stars-url]: https://github.com/shotadft/VectorLib/stargazers
[issues-shield]: https://img.shields.io/github/issues/shotadft/VectorLib.svg?style=for-the-badge
[issues-url]: https://github.com/shotadft/VectorLib/issues
[license-shield]: https://img.shields.io/github/license/shotadft/VectorLib.svg?style=for-the-badge
[license-url]: https://github.com/shotadft/VectorLib/blob/master/LICENSE.md
[version-shield]: https://img.shields.io/badge/1.0.2-00c81b?label=version&style=for-the-badge
[header-id]: #VecPosLib
