from typing import Generic, List, Tuple, Iterator, Union
from ..common import T, CoordinateName

class Position(Generic[T]):
    def __init__(self, *args: T) -> None: ...
    def __setattr__(self, name: str, value: object) -> None: ...
    def __len__(self) -> int: ...
    def __iter__(self) -> Iterator[T]: ...
    def __eq__(self, other: object) -> bool: ...
    def __getitem__(self, key: Union[int, CoordinateName]) -> T: ...
    def _get_coord(self, index: int) -> T: ...
    def _cast_coords(self, coords) -> List[T]: ...
    @property
    def x(self) -> T: ...
    @property
    def y(self) -> T: ...
    @property
    def z(self) -> T: ...
    @property
    def w(self) -> T: ...
    @property
    def ndim(self) -> int: ...
    def to_list(self) -> List[T]: ...
    def to_tuple(self) -> Tuple[T, ...]: ...
    def is_zero(self) -> bool: ...
    def normalize(self) -> "Position[float]": ...
    def __repr__(self) -> str: ...
